#ifdef GL_ES
    #define LOWP lowp
    precision mediump float;
#else
    #define LOWP
#endif

varying LOWP vec4 v_color;
varying vec2 v_texCoords;

uniform sampler2D u_screenTex;
uniform sampler2D u_lightingTex;
uniform vec2 u_screenSize;

void main() {
    vec4 screenColor = texture2D(u_screenTex, gl_FragCoord.xy / u_screenSize);
    vec4 lighting = texture2D(u_lightingTex, v_texCoords);
    gl_FragColor.rgb = screenColor.rgb * lighting.rgb;
    gl_FragColor.a = screenColor.a;
}
